# Simple Path Counting
- 単純な数え上げ手法
- ネットワーク信頼性を計算する論文[1] に記載のexact algorithm に基づいた手法.
  - 元論文はネットワーク信頼性の近似アルゴリズムを扱っている. 

## 使用方法
```
g++ -Wall -O3 count.cpp
./a.out < filename
```

## 参考文献
[1] Yi-feng Niu, Fang-Ming Shao, A practical bounding algorithm for computing two-terminal reliability based on decomposition technique, Computers & Mathematics with Applications, Volume 61, Issue 8, 2011.
- https://doi.org/10.1016/j.camwa.2010.09.033
